(function($){
    $(function(){

        addSection();

        localStorageCategory();

        $('head').append('' +
            '<style>' +
            '#category, #head {background-color: '+Settings.themeColors.colorAccent+';}' +
            '.toast {background-color: '+Settings.themeColors.colorPrimary+';}' +
            '.btn, .btn-large {background-color: '+Settings.themeColors.colorAccent+';}' +
            '[type="checkbox"].filled-in:checked+label:after {border: 2px solid '+Settings.themeColors.colorAccent+';background-color: '+Settings.themeColors.colorAccent+';}' +
            '.btn:hover, .btn-large:hover {background-color: '+Settings.themeColors.colorPrimary+';}' +
            '.dropdown-content li>a, .dropdown-content li>span {color: '+Settings.themeColors.colorPrimary+';}' +
            '.name-category.slick-slide.slick-current.slick-active  {border-bottom: 3px solid white;}</style>');
        createCategory();

        $('#category').scrollToFixed();

        $('#app_n').html(Settings.name);

        if('AppsgeyserJSInterface' in window){
            appsgeyserJsNotifications();
        }
    });
})(jQuery);


/**
 * Event swipe\click
 */
$category.on('swipe', function(event, slick, direction){
    nextSlider(slick.currentSlide);
}).on('beforeChange', function(event, slick, currentSlide, nextSlide){
    nextSlider(nextSlide);
});



$('#set_cat').click(function () {
    if(!settings) {
        settings = true;
        $category.slideToggle( "slow" );
        $content.slideToggle( "slow" );
        $('#back-block').css({opacity: 1});
        $('#setting').removeClass('hide').fadeIn();

        var act_cat = $.map($stnrt_cat, function(value, index) {return [value.nameCat];});
        var categorys = $.map(category, function(value, index) {return [value.nameCat];});
        var de_ac = unique(act_cat,categorys);
        for(var i = 0; i < de_ac.length; i++) {
            $('.checkbox').append('<p><input type="checkbox" class="filled-in" data-cat="'+de_ac[i]+'" id="filled-in-box-de-'+i+'" /> <label for="filled-in-box-de-'+i+'">'+de_ac[i]+'</label></p>');
        }
        for(var a = 0; a < act_cat.length; a++) {
            $('.checkbox').append('<p><input type="checkbox" class="filled-in" data-cat="'+act_cat[a]+'" id="filled-in-box-ac-'+a+'" checked="checked"/> <label for="filled-in-box-ac-'+a+'">'+act_cat[a]+'</label></p>');
        }
    }
});

$(document).on('click', '.share', function () {
    if('AppsgeyserJSInterface' in window){
        var body = $(this).data('text');
        var url = $(this).data('url');
        AppsgeyserJSInterface.shareText(url,body);
    }
});

$(document).on('click','.filled-in', function () {

    var cat = $(this).data('cat');

    var checked = $(this).is(':checked');

    if(checked) {
        if($stnrt_cat.length <= 10){
            $stnrt_cat.push({nameCat: cat});
            $.jStorage.set("active_cat", $stnrt_cat);
        } else {
            $(this).prop('checked', false);
            $('.toast').detach();
            Materialize.toast('Sorry, the maximum number is 10 sections', 4000)
        }
    } else {
        if($stnrt_cat.length != 3){
            for(var i = $stnrt_cat.length; i--;) {
                if($stnrt_cat[i].nameCat === cat) {
                    $stnrt_cat.splice(i, 1);
                }
            }
            $.jStorage.set("active_cat", $stnrt_cat);
        }else{
            $(this).prop('checked', true);
            $('.toast').detach();
            Materialize.toast('Sorry, the minimum number is 3 sections', 4000)
        }

    }

});
$('#clear_cust').click(function () {
    clearSection();
});

$('#back').click(function () {
    if(settings) {
        settings = false;
        $('#setting').slideToggle( "slow" );
        $('.checkbox').find('p').remove();
        $('#back-block').css({opacity: 0});
        $category.removeClass('slider-for slick-initialized slick-slider').find('div').remove();
        $category.slideDown('slow');
        $content.find('.content-news').remove();
        $content.slideDown('slow');
        createCategory();
    }
});